needUpgrade method

Future<bool> needUpgrade (int newVersion)

Returns true if the new version code is greater than the current database version.

See: https://developer.android.com/reference/android/database/sqlite/SQLiteDatabase#needUpgrade(int)

Implementation

Future<bool> needUpgrade(final int newVersion) async {
  final Map<String, dynamic> request = <String, dynamic>{
    'id': id,
    'newVersion': newVersion
  };
  return await _channel.invokeMethod('needUpgrade', request);
}